# Dockerfiles

Many of the `docker-compose.y(a)ml`s have comments inside of them.
At least take a look at these, and/or the README files in the directories.

Use your common sense to bring these into production use.

## What do these do?

* [FileBrowser](https://github.com/filebrowser/filebrowser) is a web-based file-browser.
* [Gitea](https://about.gitea.com/) - self-hosted git service. Feels like Github.
* [Jellyfin](https://jellyfin.org/) - media self-hosting. Feels like modern streaming services.
* [Pacoloco](https://github.com/anatol/pacoloco) - pre-fetch Arch updates. Can signficianly improve update times.
* [Rabbitmq](https://www.rabbitmq.com/) - message broker for micro-services. Only here for templating.
* Tracing - several docker containers all in one. For combining OTel with Nginx.
* [qBittorrent](https://github.com/qbittorrent/qBittorrent) - qBittorrent but in the web. Allows you to practically seed for longer.

